﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WTBD_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTBD_SHIFTINNER' AND KSQL_COL_NAME ='FHISVERSION') 
 ALTER TABLE T_WTBD_SHIFTINNER ADD (FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTBD_SHIFTINNER' AND KSQL_COL_NAME ='FCHANGEDESCRIPTION') 
 ALTER TABLE T_WTBD_SHIFTINNER ADD (FCHANGEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTBD_SHIFTINNER_L' AND KSQL_COL_NAME ='FCHANGEDESCRIPTION') 
 ALTER TABLE T_WTBD_SHIFTINNER_L ADD (FCHANGEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBD_CALENDARMODEL') 
 CREATE TABLE T_WTBD_CALENDARMODEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(200) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FISMODIFY VARCHAR(10) DEFAULT ' ' NOT NULL,
FBRED DATETIME,
FBRLED DATETIME,
FBRFD DATETIME,
FCHANGEDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FWROKDAYSETMODE VARCHAR(10) DEFAULT ' ' NOT NULL,
FLOOPMODE VARCHAR(10) DEFAULT ' ' NOT NULL,
FLOOPFACTOR INT DEFAULT 0 NOT NULL,
FMON CHAR(1) DEFAULT '0' NOT NULL,
FTUE CHAR(1) DEFAULT '0' NOT NULL,
FWED CHAR(1) DEFAULT '0' NOT NULL,
FTHURS CHAR(1) DEFAULT '0' NOT NULL,
FFRI CHAR(1) DEFAULT '0' NOT NULL,
FSAT CHAR(1) DEFAULT '0' NOT NULL,
FSUN CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBD_CALENDARMODEL_L') 
 CREATE TABLE T_WTBD_CALENDARMODEL_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBD_CALMODELENTRY') 
 CREATE TABLE T_WTBD_CALMODELENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBD_CALMODHOLIDAY') 
 CREATE TABLE T_WTBD_CALMODHOLIDAY (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBD_CALCHANGERECORD') 
 CREATE TABLE T_WTBD_CALCHANGERECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FAFTERCALRMODELID BIGINT DEFAULT 0 NOT NULL,
FPRECALMODELID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBD_CALSYNCRECORD') 
 CREATE TABLE T_WTBD_CALSYNCRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FSYNCDATE DATETIME,
FCALENDARMODELID BIGINT DEFAULT 0 NOT NULL,
FSYNCTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSYNCBEFORE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBD_DATERANGE')
 CREATE TABLE T_WTBD_DATERANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FCONDITIONS NCLOB,
FMETANUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WTBD_table.sql **/
